Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/SelfTest/src/test.cpp	(revision 127)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/SelfTest/src/test.cpp	(revision 128)
@@ -29,5 +29,5 @@
 #endif
 
-  simulation_init(0,0);
+  simulation_init(0,0,0,false,false);
 
   debug_idle_cycle = CYCLE_MAX;
@@ -62,4 +62,139 @@
   sc_signal<Tcontrol_t> *  in_NRESET = new sc_signal<Tcontrol_t> ("NRESET");
 
+  sc_signal<Tcontrol_t        > ***  in_INSERT_VAL                     ;
+  sc_signal<Tcontrol_t        > *** out_INSERT_ACK                     ;
+  sc_signal<Tcontext_t        > ***  in_INSERT_FRONT_END_ID            ;
+  sc_signal<Tcontext_t        > ***  in_INSERT_CONTEXT_ID              ;
+  sc_signal<Tpacket_t         > *** out_INSERT_PACKET_ID               ;
+//sc_signal<Tcontext_t        > ***  in_INSERT_RENAME_UNIT_ID          ;
+  sc_signal<Tdepth_t          > ***  in_INSERT_DEPTH                   ;
+  sc_signal<Ttype_t           > ***  in_INSERT_TYPE                    ;
+  sc_signal<Toperation_t      > ***  in_INSERT_OPERATION               ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_NO_EXECUTE              ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_LAST_EVENT              ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_IS_DELAY_SLOT           ;
+  sc_signal<Taddress_t        > ***  in_INSERT_ADDRESS                 ;
+  sc_signal<Taddress_t        > ***  in_INSERT_ADDRESS_NEXT            ;
+  sc_signal<Texception_t      > ***  in_INSERT_EXCEPTION               ;
+  sc_signal<Texception_t      > ***  in_INSERT_EXCEPTION_USE           ;
+  sc_signal<Tlsq_ptr_t        > ***  in_INSERT_STORE_QUEUE_PTR_WRITE   ;
+  sc_signal<Tlsq_ptr_t        > ***  in_INSERT_LOAD_QUEUE_PTR_WRITE    ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_READ_RA                 ;
+  sc_signal<Tgeneral_address_t> ***  in_INSERT_NUM_REG_RA_LOG          ;
+  sc_signal<Tgeneral_address_t> ***  in_INSERT_NUM_REG_RA_PHY          ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_READ_RB                 ;
+  sc_signal<Tgeneral_address_t> ***  in_INSERT_NUM_REG_RB_LOG          ;
+  sc_signal<Tgeneral_address_t> ***  in_INSERT_NUM_REG_RB_PHY          ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_READ_RC                 ;
+  sc_signal<Tspecial_address_t> ***  in_INSERT_NUM_REG_RC_LOG          ;
+  sc_signal<Tspecial_address_t> ***  in_INSERT_NUM_REG_RC_PHY          ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_WRITE_RD                ;
+  sc_signal<Tgeneral_address_t> ***  in_INSERT_NUM_REG_RD_LOG          ;
+  sc_signal<Tgeneral_address_t> ***  in_INSERT_NUM_REG_RD_PHY_OLD      ;
+  sc_signal<Tgeneral_address_t> ***  in_INSERT_NUM_REG_RD_PHY_NEW      ;
+  sc_signal<Tcontrol_t        > ***  in_INSERT_WRITE_RE                ;
+  sc_signal<Tspecial_address_t> ***  in_INSERT_NUM_REG_RE_LOG          ;
+  sc_signal<Tspecial_address_t> ***  in_INSERT_NUM_REG_RE_PHY_OLD      ;
+  sc_signal<Tspecial_address_t> ***  in_INSERT_NUM_REG_RE_PHY_NEW      ;
+
+  sc_signal<Tcontrol_t        > *** out_RETIRE_VAL                     ;
+  sc_signal<Tcontrol_t        > ***  in_RETIRE_ACK                     ;
+  sc_signal<Tcontext_t        > *** out_RETIRE_FRONT_END_ID            ;
+  sc_signal<Tcontext_t        > *** out_RETIRE_CONTEXT_ID              ;
+//sc_signal<Tcontext_t        > *** out_RETIRE_RENAME_UNIT_ID          ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_USE_STORE_QUEUE         ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_USE_LOAD_QUEUE          ;
+  sc_signal<Tlsq_ptr_t        > *** out_RETIRE_STORE_QUEUE_PTR_WRITE   ;
+  sc_signal<Tlsq_ptr_t        > *** out_RETIRE_LOAD_QUEUE_PTR_WRITE    ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_READ_RA                 ;
+  sc_signal<Tgeneral_address_t> *** out_RETIRE_NUM_REG_RA_PHY          ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_READ_RB                 ;
+  sc_signal<Tgeneral_address_t> *** out_RETIRE_NUM_REG_RB_PHY          ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_READ_RC                 ;
+  sc_signal<Tspecial_address_t> *** out_RETIRE_NUM_REG_RC_PHY          ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_WRITE_RD                ;
+  sc_signal<Tgeneral_address_t> *** out_RETIRE_NUM_REG_RD_LOG          ;
+  sc_signal<Tgeneral_address_t> *** out_RETIRE_NUM_REG_RD_PHY_OLD      ;
+  sc_signal<Tgeneral_address_t> *** out_RETIRE_NUM_REG_RD_PHY_NEW      ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_WRITE_RE                ;
+  sc_signal<Tspecial_address_t> *** out_RETIRE_NUM_REG_RE_LOG          ;
+  sc_signal<Tspecial_address_t> *** out_RETIRE_NUM_REG_RE_PHY_OLD      ;
+  sc_signal<Tspecial_address_t> *** out_RETIRE_NUM_REG_RE_PHY_NEW      ;
+
+  sc_signal<Tcontrol_t        > *** out_RETIRE_EVENT_VAL               ;
+  sc_signal<Tcontrol_t        > ***  in_RETIRE_EVENT_ACK               ;
+  sc_signal<Tevent_state_t    > *** out_RETIRE_EVENT_STATE             ;
+  sc_signal<Tcontrol_t        > *** out_RETIRE_EVENT_STOP              ;
+
+  sc_signal<Tcontrol_t        >  **  in_COMMIT_VAL                     ;
+  sc_signal<Tcontrol_t        >  ** out_COMMIT_ACK                     ;
+  sc_signal<Tcontrol_t        >  **  in_COMMIT_WEN                     ;
+  sc_signal<Tpacket_t         >  **  in_COMMIT_PACKET_ID               ;
+//sc_signal<Toperation_t      >  **  in_COMMIT_OPERATION               ;
+//sc_signal<Ttype_t           >  **  in_COMMIT_TYPE                    ;
+  sc_signal<Tspecial_data_t   >  **  in_COMMIT_FLAGS                   ;
+  sc_signal<Texception_t      >  **  in_COMMIT_EXCEPTION               ;
+  sc_signal<Tcontrol_t        >  **  in_COMMIT_NO_SEQUENCE             ;
+  sc_signal<Taddress_t        >  **  in_COMMIT_ADDRESS                 ;
+  sc_signal<Tgeneral_address_t>  ** out_COMMIT_NUM_REG_RD              ;
+
+  sc_signal<Tcontrol_t        >  ** out_REEXECUTE_VAL                  ;
+  sc_signal<Tcontrol_t        >  **  in_REEXECUTE_ACK                  ;
+  sc_signal<Tcontext_t        >  ** out_REEXECUTE_CONTEXT_ID           ;
+  sc_signal<Tcontext_t        >  ** out_REEXECUTE_FRONT_END_ID         ;
+  sc_signal<Tpacket_t         >  ** out_REEXECUTE_PACKET_ID            ;
+  sc_signal<Toperation_t      >  ** out_REEXECUTE_OPERATION            ;
+  sc_signal<Ttype_t           >  ** out_REEXECUTE_TYPE                 ;
+  sc_signal<Tlsq_ptr_t        >  ** out_REEXECUTE_STORE_QUEUE_PTR_WRITE;
+
+  sc_signal<Tcontrol_t        >  ** out_BRANCH_COMPLETE_VAL            ;
+  sc_signal<Tcontrol_t        >  **  in_BRANCH_COMPLETE_ACK            ;
+  sc_signal<Tcontext_t        >  ** out_BRANCH_COMPLETE_CONTEXT_ID     ;
+  sc_signal<Tcontext_t        >  ** out_BRANCH_COMPLETE_FRONT_END_ID   ;
+  sc_signal<Tdepth_t          >  ** out_BRANCH_COMPLETE_DEPTH          ;
+  sc_signal<Taddress_t        >  ** out_BRANCH_COMPLETE_ADDRESS        ;
+  sc_signal<Tcontrol_t        >  ** out_BRANCH_COMPLETE_NO_SEQUENCE    ;
+  sc_signal<Tcontrol_t        >  **  in_BRANCH_COMPLETE_MISS_PREDICTION;
+
+  sc_signal<Tcontrol_t        >   * out_UPDATE_VAL                     ;
+  sc_signal<Tcontrol_t        >   *  in_UPDATE_ACK                     ;
+  sc_signal<Tcontext_t        >   * out_UPDATE_CONTEXT_ID              ;
+  sc_signal<Tcontext_t        >   * out_UPDATE_FRONT_END_ID            ;
+  sc_signal<Tdepth_t          >   * out_UPDATE_DEPTH                   ;
+  sc_signal<Tevent_type_t     >   * out_UPDATE_TYPE                    ;
+  sc_signal<Tcontrol_t        >   * out_UPDATE_IS_DELAY_SLOT           ;
+  sc_signal<Taddress_t        >   * out_UPDATE_ADDRESS                 ;
+  sc_signal<Tcontrol_t        >   * out_UPDATE_ADDRESS_EPCR_VAL        ;
+  sc_signal<Taddress_t        >   * out_UPDATE_ADDRESS_EPCR            ;
+  sc_signal<Tcontrol_t        >   * out_UPDATE_ADDRESS_EEAR_VAL        ;
+  sc_signal<Tgeneral_data_t   >   * out_UPDATE_ADDRESS_EEAR            ;
+
+  sc_signal<Tcontrol_t        > ***  in_EVENT_VAL                      ;
+  sc_signal<Tcontrol_t        > *** out_EVENT_ACK                      ;
+  sc_signal<Taddress_t        > ***  in_EVENT_ADDRESS                  ;
+  sc_signal<Taddress_t        > ***  in_EVENT_ADDRESS_NEXT             ;
+  sc_signal<Tcontrol_t        > ***  in_EVENT_ADDRESS_NEXT_VAL         ;
+  sc_signal<Tcontrol_t        > ***  in_EVENT_IS_DS_TAKE               ;
+
+  sc_signal<Tcounter_t        > *** out_NB_INST_COMMIT_ALL             ;
+  sc_signal<Tcounter_t        > *** out_NB_INST_COMMIT_MEM             ;
+  sc_signal<Tcounter_t        > ***  in_NB_INST_DECOD_ALL              ;
+  sc_signal<Tdepth_t          > ***  in_DEPTH_MIN                      ;
+  sc_signal<Tdepth_t          > ***  in_DEPTH_MAX                      ;
+  sc_signal<Tcontrol_t        > ***  in_DEPTH_FULL                     ;
+
+  sc_signal<Tcontrol_t        > ***  in_SPR_READ_SR_OVE                ;
+
+  sc_signal<Tcontrol_t        > *** out_SPR_WRITE_VAL                  ;
+  sc_signal<Tcontrol_t        > ***  in_SPR_WRITE_ACK                  ;
+  sc_signal<Tcontrol_t        > *** out_SPR_WRITE_SR_F_VAL             ;
+  sc_signal<Tcontrol_t        > *** out_SPR_WRITE_SR_F                 ;
+  sc_signal<Tcontrol_t        > *** out_SPR_WRITE_SR_CY_VAL            ;
+  sc_signal<Tcontrol_t        > *** out_SPR_WRITE_SR_CY                ;
+  sc_signal<Tcontrol_t        > *** out_SPR_WRITE_SR_OV_VAL            ;
+  sc_signal<Tcontrol_t        > *** out_SPR_WRITE_SR_OV                ;
+
+  sc_signal<bool              >   * out_INFO_ROB_EMPTY                 ;
+
   ALLOC2_SC_SIGNAL( in_INSERT_VAL                     ," in_INSERT_VAL                     ",Tcontrol_t        ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   ALLOC2_SC_SIGNAL(out_INSERT_ACK                     ,"out_INSERT_ACK                     ",Tcontrol_t        ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
@@ -72,8 +207,7 @@
   ALLOC2_SC_SIGNAL( in_INSERT_OPERATION               ," in_INSERT_OPERATION               ",Toperation_t      ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   ALLOC2_SC_SIGNAL( in_INSERT_NO_EXECUTE              ," in_INSERT_NO_EXECUTE              ",Tcontrol_t        ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
+  ALLOC2_SC_SIGNAL( in_INSERT_LAST_EVENT              ," in_INSERT_LAST_EVENT              ",Tcontrol_t        ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   ALLOC2_SC_SIGNAL( in_INSERT_IS_DELAY_SLOT           ," in_INSERT_IS_DELAY_SLOT           ",Tcontrol_t        ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
-#ifdef DEBUG
   ALLOC2_SC_SIGNAL( in_INSERT_ADDRESS                 ," in_INSERT_ADDRESS                 ",Taddress_t        ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
-#endif
   ALLOC2_SC_SIGNAL( in_INSERT_ADDRESS_NEXT            ," in_INSERT_ADDRESS_NEXT            ",Taddress_t        ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   ALLOC2_SC_SIGNAL( in_INSERT_EXCEPTION               ," in_INSERT_EXCEPTION               ",Texception_t      ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
@@ -125,4 +259,5 @@
   ALLOC2_SC_SIGNAL( in_RETIRE_EVENT_ACK               ," in_RETIRE_EVENT_ACK               ",Tcontrol_t        ,_param->_nb_front_end,_param->_nb_context[it1]);
   ALLOC2_SC_SIGNAL(out_RETIRE_EVENT_STATE             ,"out_RETIRE_EVENT_STATE             ",Tevent_state_t    ,_param->_nb_front_end,_param->_nb_context[it1]);
+  ALLOC2_SC_SIGNAL(out_RETIRE_EVENT_STOP              ,"out_RETIRE_EVENT_STOP              ",Tcontrol_t        ,_param->_nb_front_end,_param->_nb_context[it1]);
 
   ALLOC1_SC_SIGNAL( in_COMMIT_VAL                     ," in_COMMIT_VAL               ",Tcontrol_t        ,_param->_nb_inst_commit);
@@ -137,4 +272,5 @@
   ALLOC1_SC_SIGNAL( in_COMMIT_ADDRESS                 ," in_COMMIT_ADDRESS           ",Taddress_t        ,_param->_nb_inst_commit);
   ALLOC1_SC_SIGNAL(out_COMMIT_NUM_REG_RD              ,"out_COMMIT_NUM_REG_RD        ",Tgeneral_address_t,_param->_nb_inst_commit);
+
   ALLOC1_SC_SIGNAL(out_REEXECUTE_VAL                  ,"out_REEXECUTE_VAL                  ",Tcontrol_t        ,_param->_nb_inst_reexecute);
   ALLOC1_SC_SIGNAL( in_REEXECUTE_ACK                  ," in_REEXECUTE_ACK                  ",Tcontrol_t        ,_param->_nb_inst_reexecute);
@@ -191,4 +327,6 @@
   ALLOC2_SC_SIGNAL(out_SPR_WRITE_SR_OV                ,"out_SPR_WRITE_SR_OV                ",Tcontrol_t        ,_param->_nb_front_end,_param->_nb_context[it1]);
 
+  ALLOC0_SC_SIGNAL(out_INFO_ROB_EMPTY                 ,"out_INFO_ROB_EMPTY                 ",bool              );
+
   /********************************************************
    * Instanciation
@@ -215,4 +353,5 @@
   INSTANCE2_SC_SIGNAL(_Commit_unit, in_INSERT_IS_DELAY_SLOT           ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   INSTANCE2_SC_SIGNAL(_Commit_unit, in_INSERT_NO_EXECUTE              ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
+  INSTANCE2_SC_SIGNAL(_Commit_unit, in_INSERT_LAST_EVENT              ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
 #ifdef DEBUG
   INSTANCE2_SC_SIGNAL(_Commit_unit, in_INSERT_ADDRESS                 ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
@@ -272,4 +411,5 @@
   INSTANCE2_SC_SIGNAL(_Commit_unit, in_RETIRE_EVENT_ACK               ,_param->_nb_front_end,_param->_nb_context[it1]);
   INSTANCE2_SC_SIGNAL(_Commit_unit,out_RETIRE_EVENT_STATE             ,_param->_nb_front_end,_param->_nb_context[it1]);
+  INSTANCE2_SC_SIGNAL(_Commit_unit,out_RETIRE_EVENT_STOP              ,_param->_nb_front_end,_param->_nb_context[it1]);
   INSTANCE1_SC_SIGNAL(_Commit_unit, in_COMMIT_VAL                     ,_param->_nb_inst_commit);
   INSTANCE1_SC_SIGNAL(_Commit_unit,out_COMMIT_ACK                     ,_param->_nb_inst_commit);
@@ -351,4 +491,8 @@
   INSTANCE2_SC_SIGNAL(_Commit_unit,out_SPR_WRITE_SR_OV                ,_param->_nb_front_end,_param->_nb_context[it1]);
 
+#ifdef DEBUG_TEST
+  INSTANCE0_SC_SIGNAL(_Commit_unit,out_INFO_ROB_EMPTY                 );
+#endif
+
   msg(_("<%s> : Start Simulation ............\n"),name.c_str());
     
@@ -378,4 +522,5 @@
   in_NRESET->write(1);  
 
+#ifdef SELFTEST
   LABEL("Loop of Test");
   for (uint32_t iteration=0; iteration<NB_ITERATION; iteration ++)
@@ -435,4 +580,5 @@
 		  in_INSERT_IS_DELAY_SLOT           [i][j]->write(0);
 		  in_INSERT_NO_EXECUTE              [i][j]->write(0);
+		  in_INSERT_LAST_EVENT              [i][j]->write(0);
 		  in_INSERT_ADDRESS_NEXT            [i][j]->write(addr);
 		  in_INSERT_EXCEPTION               [i][j]->write(0);
@@ -608,4 +754,7 @@
 
     }
+#else
+  SC_START(10);
+#endif
 
   /********************************************************
@@ -631,8 +780,7 @@
   DELETE2_SC_SIGNAL( in_INSERT_OPERATION               ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   DELETE2_SC_SIGNAL( in_INSERT_NO_EXECUTE              ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
+  DELETE2_SC_SIGNAL( in_INSERT_LAST_EVENT              ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   DELETE2_SC_SIGNAL( in_INSERT_IS_DELAY_SLOT           ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
-#ifdef DEBUG
   DELETE2_SC_SIGNAL( in_INSERT_ADDRESS                 ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
-#endif
   DELETE2_SC_SIGNAL( in_INSERT_ADDRESS_NEXT            ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
   DELETE2_SC_SIGNAL( in_INSERT_EXCEPTION               ,_param->_nb_rename_unit,_param->_nb_inst_insert[it1]);
@@ -666,10 +814,10 @@
   DELETE2_SC_SIGNAL(out_RETIRE_STORE_QUEUE_PTR_WRITE   ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
   DELETE2_SC_SIGNAL(out_RETIRE_LOAD_QUEUE_PTR_WRITE    ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
-//   DELETE2_SC_SIGNAL(out_RETIRE_READ_RA                 ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
-//   DELETE2_SC_SIGNAL(out_RETIRE_NUM_REG_RA_PHY          ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
-//   DELETE2_SC_SIGNAL(out_RETIRE_READ_RB                 ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
-//   DELETE2_SC_SIGNAL(out_RETIRE_NUM_REG_RB_PHY          ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
-//   DELETE2_SC_SIGNAL(out_RETIRE_READ_RC                 ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
-//   DELETE2_SC_SIGNAL(out_RETIRE_NUM_REG_RC_PHY          ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
+//DELETE2_SC_SIGNAL(out_RETIRE_READ_RA                 ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
+//DELETE2_SC_SIGNAL(out_RETIRE_NUM_REG_RA_PHY          ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
+//DELETE2_SC_SIGNAL(out_RETIRE_READ_RB                 ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
+//DELETE2_SC_SIGNAL(out_RETIRE_NUM_REG_RB_PHY          ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
+//DELETE2_SC_SIGNAL(out_RETIRE_READ_RC                 ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
+//DELETE2_SC_SIGNAL(out_RETIRE_NUM_REG_RC_PHY          ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
   DELETE2_SC_SIGNAL(out_RETIRE_WRITE_RD                ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
   DELETE2_SC_SIGNAL(out_RETIRE_NUM_REG_RD_LOG          ,_param->_nb_rename_unit,_param->_nb_inst_retire[it1]);
@@ -683,4 +831,5 @@
   DELETE2_SC_SIGNAL( in_RETIRE_EVENT_ACK               ,_param->_nb_front_end,_param->_nb_context[it1]);
   DELETE2_SC_SIGNAL(out_RETIRE_EVENT_STATE             ,_param->_nb_front_end,_param->_nb_context[it1]);
+  DELETE2_SC_SIGNAL(out_RETIRE_EVENT_STOP              ,_param->_nb_front_end,_param->_nb_context[it1]);
   DELETE1_SC_SIGNAL( in_COMMIT_VAL               ,_param->_nb_inst_commit);
   DELETE1_SC_SIGNAL(out_COMMIT_ACK               ,_param->_nb_inst_commit);
@@ -747,4 +896,6 @@
   DELETE2_SC_SIGNAL(out_SPR_WRITE_SR_OV_VAL            ,_param->_nb_front_end,_param->_nb_context[it1]);
   DELETE2_SC_SIGNAL(out_SPR_WRITE_SR_OV                ,_param->_nb_front_end,_param->_nb_context[it1]);
+
+  DELETE0_SC_SIGNAL(out_INFO_ROB_EMPTY                 );
     }
 #endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_deallocation.cpp	(revision 127)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_deallocation.cpp	(revision 128)
@@ -239,9 +239,12 @@
 
 #if defined(DEBUG) and defined(DEBUG_Commit_unit) and (DEBUG_Commit_unit == true)
-    for (uint32_t i=0; i<_param->_nb_thread; ++i)
-      if (_param->_have_thread [i])
-        {
-          instruction_log_file [i].close();
-        }
+    {   
+      for (uint32_t i=0; i<_param->_nb_thread; ++i)
+        if (_param->_have_thread [i])
+          {
+            instruction_log_file [i].close();
+          }
+      delete [] instruction_log_file;
+    }
 #endif
 
